
Katello - Bug #5089

hammer: Unable to delete organization

04/07/2014 02:29 PM - Adam Price

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1082180 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1082180

Description of problem: Unable to delete organization with hammer.

How reproducible: always/deterministic

Steps to Reproduce:

1. Create organization (WebUI/hammer)

  2. $ hammer organization list

  2.5 observe id of created organization... let it be $orgid

  3. $ hammer organization delete --id $orgid

 Actual results:

Error occurs, organization is till present

 
Could not delete the organization:

      Error: The server does not support such operation.

 Expected results:

Organization is deleted, no error...

 Additional info:

Deleting from WebUI works.

Associated revisions

Revision 4fc3acba - 04/14/2014 10:01 PM - Adam Price

fixes #5089 - organization delete action, 1082180

Revision 129c93aa - 04/15/2014 01:58 PM - Adam Price

Merge pull request #3950 from komidore64/bz1082180

fixes #5089 - organization delete action, 1082180

History

#1 - 04/07/2014 02:31 PM - Adam Price

- Category set to API

- Status changed from New to Assigned

- Assignee set to Adam Price

- Triaged set to No
#2 - 04/15/2014 02:53 PM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:4fc3acba648fc84c033e0d218e2393ab720481e8.

#3 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 12/18/2019 09:50 AM - Shira Maximov

Changing the

#6 - 12/18/2019 11:09 AM - Shira Maximov

Changing the

#7 - 12/18/2019 11:26 AM - Shira Maximov

Changing the
